[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.HelpContext

Shows context-sensitive help for the application.

## Declaration

Source position: forms.pp line 1616

`public function TApplication.HelpContext(`
`Context: THelpContext`
`):Boolean;`

## Arguments

`Context` |  | Help context displayed in the method.

## Function result

True if the help request was handled in the method.

## Description

HelpContext is a Boolean function used to display context-sensitive help for the specified help context. It calls the DoOnHelp method to select and execute a help handler routine for the specified help context. The routine may be one of the OnHelp event handlers found in the active form or in TApplication. If neither are assigned, the application handlers are checked for a routine using the ahtHelp handler type.

If the help context was handled in DoOnHelp, not additional actions are performed in the method. Otherwise, the ShowHelpOrErrorForContext is called to handle the help request.

The return value is False if the help context could not be handled using any of these options.

## See also

TApplication.OnHelp |  | Event handler signalled when help is requested in the application.
TApplication.AddOnHelpHandler |  | Adds an application Help handler.
TApplication.RemoveOnHelpHandler |  | Removes an application Help handler.